Page MenuHomePhabricator

Enable autopatrolled, rollbacker groups on gu.wikipedia
Closed, ResolvedPublic

Description

Please enable autopatrolled, Rollbacker and <s>reviewer</s> right on gu.wikipedia. Administrators should be able to assign these rights.

Community discussion can be found here: https://gu.wikipedia.org/wiki/વિકિપીડિયા_ચર્ચા:વિશેષાધિકાર_નિવેદન

(removed reviewer option per discussion below)

Thanks in advance.

Event Timeline

NahidSultan raised the priority of this task from to Normal.
NahidSultan updated the task description. (Show Details)
NahidSultan added a subscriber: NahidSultan.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptNov 28 2015, 11:14 AM
NahidSultan updated the task description. (Show Details)Nov 28 2015, 11:15 AM
NahidSultan set Security to None.
KartikMistry added a subscriber: KartikMistry.

Pls allow this user right on guwiki

NahidSultan removed YmKavishwar as the assignee of this task.Nov 28 2015, 12:33 PM
NahidSultan added a subscriber: YmKavishwar.
Aniket added a subscriber: Aniket.

reviewer = patrol?
Or do you want flagged revs? There is a big difference between that, but I guess you want patrol, because you request autopatrol?

reviewer = patrol?
Or do you want flagged revs? There is a big difference between that, but I guess you want patrol, because you request autopatrol?

The community want those rights exactly the same as enwp.
reviewer should, Mark others' edits as patrolled and Mark revisions as being "accepted".

The purpose of reviewing is to catch and filter out obvious vandalism and obviously inappropriate edits on articles under pending changes protection, a special kind of protection that permits anonymous and newly registered editors to submit edits to articles that would otherwise be semi- or fully protected under one or more of the criteria listed in the protection policy.

Reviewers do not take responsibility for the correctness of edits they accept. A reviewer only ensures that the changes introduced to the article are broadly acceptable for viewing by a casual reader. The reviewer checks the pending change(s) for an article and can then decide to either accept it, revert it or modify it then later accept it.

Luke081515 removed Luke081515 as the assignee of this task.Nov 28 2015, 3:10 PM

Ok, then you need the extension flagged revs (so I can't do it)

Luke081515 renamed this task from Enable autopatrolled, Rollbacker and reviewer right on gu.wikipedia to Enable flaggedrevs, and the rights autopatrolled, Rollbacker and reviewer on gu.wikipedia.Nov 28 2015, 3:11 PM
YmKavishwar raised the priority of this task from Normal to High.Nov 28 2015, 4:08 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptNov 28 2015, 4:08 PM

@YmKavishwar Note that increasing the priority does not actually make someone work on it. Also new requests to install FlaggedRevs generally do not see any progress. See T31744.

KartikMistry lowered the priority of this task from High to Normal.Nov 28 2015, 4:26 PM

@YmKavishwar Note that increasing the priority does not actually make someone work on it. Also new requests to install FlaggedRevs generally do not see any progress. See T31744.

thanks sir, but this is more urgent because we need to our community is back to active. Now only user, auto conformed user right available(less than sysop). Many use (include sysop) unactive. We all discussion about this situation n decide make new sysop and enable all this user right. We want tio important our community. Nomination and voting all ready started on all this user right. Our new and now only active sysop try to grant this user right but cannt able. ...if this can be fixed at the earliest then we at gu.wikipedia will be very grateful to you...tnx...

@YmKavishwar Note that increasing the priority does not actually make someone work on it. Also new requests to install FlaggedRevs generally do not see any progress. See T31744.

This could be easily done if the reviewer user group is not implemented as that requires FlaggedRevs to be installed. If you still want FlaggedRevs to be installed, see https://meta.wikimedia.org/wiki/Flagged_Revisions#Enabling

@YmKavishwar @Glaisher I guess we can go ahead without reviewer group as of now and create separate ticket for FlaggedRevs installation.

@YmKavishwar @Glaisher I guess we can go ahead without reviewer group as of now and create separate ticket for FlaggedRevs installation.

Ok. Do it.

Mdann52 claimed this task.Nov 28 2015, 6:07 PM
Mdann52 updated the task description. (Show Details)
Mdann52 added a subscriber: Mdann52.

On it!

Change 255810 had a related patch set uploaded (by Mdann52):
Enable new user groups on gu.wikipedia.org

https://gerrit.wikimedia.org/r/255810

Question: Should there be the ability, that sysops can remove this right too? Otherwise you need to contact a steward every time, if you need to remove this rights, for example in case of abuse...

Question: Should there be the ability, that sysops can remove this right too? Otherwise you need to contact a steward every time, if you need to remove this rights, for example in case of abuse...

of course, admin should also remove those rights. I should have clarified it in the first place, my bad.

@NahidSultan Did you ask the community at this point too?

@NahidSultan Did you ask the community at this point too?

No, actually not. These rights are usually dealt by the local sysops but if we need community consensus on this I'd be happy to ask the community.

@NahidSultan Did you ask the community at this point too?

No, actually not. These rights are usually dealt by the local sysops but if we need community consensus on this I'd be happy to ask the community.

We are already discuss on our preject:user right page in a guwiki. Admin can add and remove user right.

Dereckson changed the task status from Open to Stalled.Nov 29 2015, 4:52 AM

Flagged revision request.

Dereckson lowered the priority of this task from Normal to Low.Nov 29 2015, 4:52 AM

Per @NahidSultan comment.

Well...

I would suggest a dual approach:

(1) deploy what is deployable now (autopatrolled, rollbacker and reviewer)
(2) wait if we see some progress about Flagged Revisions deployment willingness for this extension setup

If this is suitable, we can deploy patch 255810 early December.

Dereckson changed the task status from Stalled to Open.Nov 29 2015, 4:57 AM

Actually, there is a separate bug for Flagged Rev, T119816, so I'm going to clean this one to be about the remaining tasks.

Dereckson renamed this task from Enable flaggedrevs, and the rights autopatrolled, Rollbacker and reviewer on gu.wikipedia to Enable autopatrolled, rollbacker groups on gu.wikipedia.Nov 29 2015, 4:57 AM
Dereckson raised the priority of this task from Low to Normal.
Dereckson updated the task description. (Show Details)
This comment was removed by Mdann52.

We are already discuss on our preject:user right page in a guwiki. Admin can add and remove user right.

Think consensus exists to deploy this therefore

Dsvyas added a subscriber: Dsvyas.Dec 3 2015, 10:02 PM

Thank you @Mdann52 for taking up this task. I am a local sysop there on gu.wp. These rights are highly needed as the community is getting more active these days. Apologies for the late comment, was busy in my personal and work life so was away from wiki.

Change 255810 merged by jenkins-bot:
Enable new user groups on gu.wikipedia.org

https://gerrit.wikimedia.org/r/255810

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 11 2016, 4:38 PM
Jdforrester-WMF closed this task as Resolved.Jan 11 2016, 4:46 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This change has just been deployed.